Subject: Re: bug#32840: linux-libre 4.18.9: shpchp is no longer a module (now: built-in)

From: Mark H Weaver <[email-masked]>
Date: Tue, 25 Sep 2018 19:36:18 -0400

Hi Nils,

Nils Gillmann <[email-masked]> writes:

> at taler we need shpchp as a module in the initrd.
>
> Before version 4.18.x, shpchp was a module we've build in guix' linux-libre,
> you were able to just specify it for the initrd.
>
> With 4.18.9, this module became a compile-in/built-in (see linux
> commit log).  I want to avoid maintaining yet another kernel
> definition for future complications if I can.  Can we get this module
> built in by default?

Sure, that sounds sensible.  I'll push a config update soon.

     Thanks,
       Mark